Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Create a New Gong Meeting (/v2/meetings)

Prev Next
Post
/v2/meetings

Required authorizaton scope: 'api:meetings:user:create'.

Body parameters
Expand All
object

New meeting metadata

startTime
string Required

The meeting start time in ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T02:30:00-08:00
endTime
string Required

The meeting end time in ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-19T02:30:00-08:00
title
string

Title of the event.

ExampleExample call
invitees
Array of object (MeetingInvitee) Required

A list of email addresses of invitees to the event (not including the organizer).

Example[ { "displayName": "Cookie Monster", "email": "cookie.monster@cookies.com" } ]
object

Attendees the requesting party should add to the invitation, this should support adding email addresses such as coordinator@gong.io for Gong to schedule the recording of the meeting.

Example[ { "displayName": "Gong Assistant", "email": "assistant@gong.io" } ]
email
string

The unique meeting to identify the meeting.

Exampletest@test.com
displayName
string

The name of the person.

ExampleTest User
firstName
string

The first name of the person, if available.

ExampleJon
lastName
string

The last name of the person, if available.

ExampleSnow
externalId
string

The ID as it is formed on the external system.

Example7JEHFRGXDDZFEW2FC4U
organizerEmail
string Required

The email address of the user creating the meeting, the Gong consent page link will be used according to the settings of this user.

Exampletest@test.com
Responses
200

Successful request

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
meetingId
string

Gong's unique identifier for the meeting (up to 20 digits).

Example7782342274025937895
meetingUrl
string

The Gong URL of the meeting, should be used to enter the meeting.

Examplehttps://join.gong.io/my-company/jon.snow?tkn=MoNpS9tMNt8BK7EZxQpSJl
additionalInvitees
Array of object (MeetingInvitee)

Attendees the requesting party should add to the invitation, this should support adding email addresses such as coordinator@gong.io for Gong to schedule the recording of the meeting.

Example[ { "displayName": "Gong Assistant", "email": "assistant@gong.io" } ]
object

Attendees the requesting party should add to the invitation, this should support adding email addresses such as coordinator@gong.io for Gong to schedule the recording of the meeting.

Example[ { "displayName": "Gong Assistant", "email": "assistant@gong.io" } ]
email
string

The unique meeting to identify the meeting.

Exampletest@test.com
displayName
string

The name of the person.

ExampleTest User
firstName
string

The first name of the person, if available.

ExampleJon
lastName
string

The last name of the person, if available.

ExampleSnow
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
403

This API endpoint is in Limited release - contact your CSM for more information.

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
404

No Gong user found corresponding to the provided organizer email

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
409

Conflict, e.g. consent page is not enabled in your company

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string